with import <nixpkgs> { overlays = builtins.attrValues (import ./overlays); };
  # https://github.com/NixOS/nixpkgs/blob/master/pkgs/stdenv/generic/setup.sh
  # https://github.com/NixOS/nixpkgs/blob/master/doc/languages-frameworks
  {
    boinctui = callPackage ./pkgs/boinctui {};
    cnagios = callPackage ./pkgs/cnagios {};
    duply = callPackage ./pkgs/duply {};
    flrn = callPackage ./pkgs/flrn { slang = callPackage ./pkgs/slang_1 {}; };
    genius = callPackage ./pkgs/genius {};
    mtop = callPackage ./pkgs/mtop {};
    muttprint = callPackage ./pkgs/muttprint {};
    mutt-ics = callPackage ./pkgs/mutt-ics {};
    nagios-cli = callPackage ./pkgs/nagios-cli {};
    #nagnu = callPackage ./pkgs/nagnu {};
    note = callPackage ./pkgs/note {};
    notmuch-python2 = callPackage ./pkgs/notmuch/notmuch-python { pythonPackages = python2Packages; };
    notmuch-python3 = callPackage ./pkgs/notmuch/notmuch-python { pythonPackages = python3Packages; };
    notmuch-vim = callPackage ./pkgs/notmuch/notmuch-vim {};
    pg_activity = callPackage ./pkgs/pg_activity {};
    pgloader = callPackage ./pkgs/pgloader {};
    telegram-cli = callPackage ./pkgs/telegram-cli {};
    telegram-history-dump = callPackage ./pkgs/telegram-history-dump {};
    telegramircd = callPackage ./pkgs/telegramircd { telethon = callPackage ./pkgs/telethon_sync {}; };
    terminal-velocity = callPackage ./pkgs/terminal-velocity {};
    tiv = callPackage ./pkgs/tiv {};
    unicode = callPackage ./pkgs/unicode {};

    cardano = callPackage ./pkgs/crypto/cardano {};
    iota-cli-app = callPackage ./pkgs/crypto/iota-cli-app {};
    sia = callPackage ./pkgs/crypto/sia {};
  } // { # overlays
    inherit weboob;
    inherit taskwarrior;
    inherit slrn;
    inherit sc-im;
    inherit lesspipe;
    inherit neomutt;
    inherit weechat;
    inherit goaccess;
    inherit profanity;
    inherit nixops;
    inherit dwm;
    inherit vit;
    inherit pass;
    inherit elinks;
    inherit pelican;
    inherit ldapvi;
    inherit (mylibs.yarn2nixPackage) yarn2nix;
  } // {
    inherit nix-prefetch-scripts;
    inherit nix-generate-from-cpan;
    inherit timewarrior;
    inherit pal;
    inherit pdftk;
    inherit googler;
    inherit jrnl;
    inherit apg pwgen;
    inherit newsboat;
    inherit vcsh;
    inherit xmr-stak;
    inherit urlwatch;
    inherit ranger;
    inherit irssi;
    inherit abook khard khal;
    inherit graphicsmagick;
    inherit youtube-dl;
    inherit ncmpc ncmpcpp;
    inherit cadaver;
    inherit mairix notmuch;
    inherit ctags;
    inherit s3cmd;
    inherit solc; # solidity
    inherit rtorrent;
    inherit strace;
    inherit vdirsyncer;
    inherit w3m lynx links;
    inherit gitRepo;
    inherit valgrind;
    inherit iotop iperf;
    inherit keybase;
    inherit bogofilter;
    inherit mtr;
    inherit urlview;
    inherit rr;
    inherit nix-zsh-completions;
    inherit browsh;
    inherit monero;
    inherit nextcloud-client;
    inherit feh imagemagick;
    inherit lftp;
    stgit = gitAndTools.stgit;
    inherit bundix;
    bower2nix = nodePackages.bower2nix;
    inherit firefox;
    inherit jq;
    inherit lzo unzip bzip2 p7zip xz;
    # unrar is unfree
    inherit tig;
    inherit emacs26-nox;
    inherit highlight sourceHighlight;
    pygmentize = python3Packages.pygments;
    inherit iftop htop;
    inherit fetchmail;
    inherit bc;
    inherit cpulimit;
    inherit dmenu st;
    inherit poppler_utils;
    inherit tmux;
    inherit netcat-gnu;
    inherit ledger;
    inherit ffmpeg libxslt;
  }
